fprcp(1)

NAME
fprcp - Free Pascal windres preprocessor program.

SYNOPSIS

fprcp -i file_name [-n] [-C] [-l PASCAL|C] [-p <include_path>]

DESCRIPTION

fprcp reads a .rc file and preprocesses it, writing the result to standard output as it goes along. It replaces defined constants with their values, so windres can process the resulting file and create a resource.

USAGE

fprcp needs as a minimum the -i filename option, which is the file to process.

OPTIONS
fprcp has a small number of options to control its behaviour:

-C  Define the symbol symbol before processing is started.

-i file
    Specify the input file name. This argument is mandatory.

-l language
    Set the programming language for include files. The language constant may be one of the following:

    C   The C programming language.

    PASCAL
        the Pascal programming language

-n  Do not support nested comments. By default, pascal nested comments are enabled.

-p path
    Set the include path. This may contain several files, separated by semicolons.

SEE ALSO

    ppc386(1) windres(1)